*,:before,:after {
  --tw-border-spacing-x: 0;
  --tw-border-spacing-y: 0;
  --tw-translate-x: 0;
  --tw-translate-y: 0;
  --tw-rotate: 0;
  --tw-skew-x: 0;
  --tw-skew-y: 0;
  --tw-scale-x: 1;
  --tw-scale-y: 1;
  --tw-pan-x: ;
  --tw-pan-y: ;
  --tw-pinch-zoom: ;
  --tw-scroll-snap-strictness: proximity;
  --tw-gradient-from-position: ;
  --tw-gradient-via-position: ;
  --tw-gradient-to-position: ;
  --tw-ordinal: ;
  --tw-slashed-zero: ;
  --tw-numeric-figure: ;
  --tw-numeric-spacing: ;
  --tw-numeric-fraction: ;
  --tw-ring-inset: ;
  --tw-ring-offset-width: 0px;
  --tw-ring-offset-color: #fff;
  --tw-ring-color: rgb(59 130 246 / .5);
  --tw-ring-offset-shadow: 0 0 #0000;
  --tw-ring-shadow: 0 0 #0000;
  --tw-shadow: 0 0 #0000;
  --tw-shadow-colored: 0 0 #0000;
  --tw-blur: ;
  --tw-brightness: ;
  --tw-contrast: ;
  --tw-grayscale: ;
  --tw-hue-rotate: ;
  --tw-invert: ;
  --tw-saturate: ;
  --tw-sepia: ;
  --tw-drop-shadow: ;
  --tw-backdrop-blur: ;
  --tw-backdrop-brightness: ;
  --tw-backdrop-contrast: ;
  --tw-backdrop-grayscale: ;
  --tw-backdrop-hue-rotate: ;
  --tw-backdrop-invert: ;
  --tw-backdrop-opacity: ;
  --tw-backdrop-saturate: ;
  --tw-backdrop-sepia: ;
  --tw-contain-size: ;
  --tw-contain-layout: ;
  --tw-contain-paint: ;
  --tw-contain-style: 
}

::backdrop {
  --tw-border-spacing-x: 0;
  --tw-border-spacing-y: 0;
  --tw-translate-x: 0;
  --tw-translate-y: 0;
  --tw-rotate: 0;
  --tw-skew-x: 0;
  --tw-skew-y: 0;
  --tw-scale-x: 1;
  --tw-scale-y: 1;
  --tw-pan-x: ;
  --tw-pan-y: ;
  --tw-pinch-zoom: ;
  --tw-scroll-snap-strictness: proximity;
  --tw-gradient-from-position: ;
  --tw-gradient-via-position: ;
  --tw-gradient-to-position: ;
  --tw-ordinal: ;
  --tw-slashed-zero: ;
  --tw-numeric-figure: ;
  --tw-numeric-spacing: ;
  --tw-numeric-fraction: ;
  --tw-ring-inset: ;
  --tw-ring-offset-width: 0px;
  --tw-ring-offset-color: #fff;
  --tw-ring-color: rgb(59 130 246 / .5);
  --tw-ring-offset-shadow: 0 0 #0000;
  --tw-ring-shadow: 0 0 #0000;
  --tw-shadow: 0 0 #0000;
  --tw-shadow-colored: 0 0 #0000;
  --tw-blur: ;
  --tw-brightness: ;
  --tw-contrast: ;
  --tw-grayscale: ;
  --tw-hue-rotate: ;
  --tw-invert: ;
  --tw-saturate: ;
  --tw-sepia: ;
  --tw-drop-shadow: ;
  --tw-backdrop-blur: ;
  --tw-backdrop-brightness: ;
  --tw-backdrop-contrast: ;
  --tw-backdrop-grayscale: ;
  --tw-backdrop-hue-rotate: ;
  --tw-backdrop-invert: ;
  --tw-backdrop-opacity: ;
  --tw-backdrop-saturate: ;
  --tw-backdrop-sepia: ;
  --tw-contain-size: ;
  --tw-contain-layout: ;
  --tw-contain-paint: ;
  --tw-contain-style: 
}

*,:before,:after {
  box-sizing:border-box;
  border-width:0;
  border-style:solid;
  border-color:#e5e7eb
}

:before,:after {
  --tw-content: ""
}

html,:host {
  line-height:1.5;
  -webkit-text-size-adjust:100%;
  -moz-tab-size:4;
  -o-tab-size:4;
  tab-size:4;
  font-family:ui-sans-serif,system-ui,sans-serif,"Apple Color Emoji","Segoe UI Emoji",Segoe UI Symbol,"Noto Color Emoji";
  font-feature-settings:normal;
  font-variation-settings:normal;
  -webkit-tap-highlight-color:transparent
}

body {
  margin:0;
  line-height:inherit
}

hr {
  height:0;
  color:inherit;
  border-top-width:1px
}

abbr:where([title]) {
  -webkit-text-decoration:underline dotted;
  text-decoration:underline dotted
}

h1,h2,h3,h4,h5,h6 {
  font-size:inherit;
  font-weight:inherit
}

a {
  color:inherit;
  text-decoration:inherit
}

b,strong {
  font-weight:bolder
}

code,kbd,samp,pre {
  font-family:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,Liberation Mono,Courier New,monospace;
  font-feature-settings:normal;
  font-variation-settings:normal;
  font-size:1em
}

small {
  font-size:80%
}

sub,sup {
  font-size:75%;
  line-height:0;
  position:relative;
  vertical-align:baseline
}

sub {
  bottom:-.25em
}

sup {
  top:-.5em
}

table {
  text-indent:0;
  border-color:inherit;
  border-collapse:collapse
}

button,input,optgroup,select,textarea {
  font-family:inherit;
  font-feature-settings:inherit;
  font-variation-settings:inherit;
  font-size:100%;
  font-weight:inherit;
  line-height:inherit;
  letter-spacing:inherit;
  color:inherit;
  margin:0;
  padding:0
}

button,select {
  text-transform:none
}

button,input:where([type=button]),input:where([type=reset]),input:where([type=submit]) {
  -webkit-appearance:button;
  background-color:transparent;
  background-image:none
}

:-moz-focusring {
  outline:auto
}

:-moz-ui-invalid {
  box-shadow:none
}

progress {
  vertical-align:baseline
}

::-webkit-inner-spin-button,::-webkit-outer-spin-button {
  height:auto
}

[type=search] {
  -webkit-appearance:textfield;
  outline-offset:-2px
}

::-webkit-search-decoration {
  -webkit-appearance:none
}

::-webkit-file-upload-button {
  -webkit-appearance:button;
  font:inherit
}

summary {
  display:list-item
}

blockquote,dl,dd,h1,h2,h3,h4,h5,h6,hr,figure,p,pre {
  margin:0
}

fieldset {
  margin:0;
  padding:0
}

legend {
  padding:0
}

ol,ul,menu {
  list-style:none;
  margin:0;
  padding:0
}

dialog {
  padding:0
}

textarea {
  resize:vertical
}

input::-moz-placeholder,textarea::-moz-placeholder {
  opacity:1;
  color:#9ca3af
}

input::placeholder,textarea::placeholder {
  opacity:1;
  color:#9ca3af
}

button,[role=button] {
  cursor:pointer
}

:disabled {
  cursor:default
}

img,svg,video,canvas,audio,iframe,embed,object {
  display:block;
  vertical-align:middle
}

img,video {
  max-width:100%;
  height:auto
}

[hidden]:where(:not([hidden=until-found])) {
  display:none
}

html {
  scroll-behavior:smooth
}

body {
  -webkit-font-smoothing:antialiased;
  -moz-osx-font-smoothing:grayscale
}

.container {
  width:100%
}

@media (min-width: 640px) {
  .container {
  max-width:640px
}


}

@media (min-width: 768px) {
  .container {
  max-width:768px
}


}

@media (min-width: 1024px) {
  .container {
  max-width:1024px
}


}

@media (min-width: 1280px) {
  .container {
  max-width:1280px
}


}

@media (min-width: 1536px) {
  .container {
  max-width:1536px
}


}

.absolute {
  position:absolute
}

.relative {
  position:relative
}

.sticky {
  position:sticky
}

.inset-0 {
  top:0;
  right:0;
  bottom:0;
  left:0
}

.bottom-0 {
  bottom:0
}

.bottom-20 {
  bottom:5rem
}

.left-0 {
  left:0
}

.left-1\/2 {
  left:50%
}

.left-1\/3 {
  left:33.333333%
}

.left-10 {
  left:2.5rem
}

.right-0 {
  right:0
}

.right-20 {
  right:5rem
}

.top-0 {
  top:0
}

.top-1\/2 {
  top:50%
}

.top-10 {
  top:2.5rem
}

.top-24 {
  top:6rem
}

.top-40 {
  top:10rem
}

.z-10 {
  z-index:10
}

.z-50 {
  z-index:50
}

.mx-1 {
  margin-left:.25rem;
  margin-right:.25rem
}

.mx-2 {
  margin-left:.5rem;
  margin-right:.5rem
}

.mx-auto {
  margin-left:auto;
  margin-right:auto
}

.-mt-1 {
  margin-top:-.25rem
}

.mb-1 {
  margin-bottom:.25rem
}

.mb-16 {
  margin-bottom:4rem
}

.mb-2 {
  margin-bottom:.5rem
}

.mb-3 {
  margin-bottom:.75rem
}

.mb-4 {
  margin-bottom:1rem
}

.mb-6 {
  margin-bottom:1.5rem
}

.mb-8 {
  margin-bottom:2rem
}

.ml-4 {
  margin-left:1rem
}

.mr-2 {
  margin-right:.5rem
}

.mt-1 {
  margin-top:.25rem
}

.mt-12 {
  margin-top:3rem
}

.mt-2 {
  margin-top:.5rem
}

.mt-3 {
  margin-top:.75rem
}

.mt-4 {
  margin-top:1rem
}

.mt-6 {
  margin-top:1.5rem
}

.mt-8 {
  margin-top:2rem
}

.line-clamp-2 {
  overflow:hidden;
  display:-webkit-box;
  -webkit-box-orient:vertical;
  -webkit-line-clamp:2
}

.block {
  display:block
}

.inline-block {
  display:inline-block
}

.inline {
  display:inline
}

.flex {
  display:flex
}

.inline-flex {
  display:inline-flex
}

.grid {
  display:grid
}

.hidden {
  display:none
}

.aspect-\[3\/4\] {
  aspect-ratio:3/4
}

.aspect-video {
  aspect-ratio:16 / 9
}

.h-1 {
  height:.25rem
}

.h-10 {
  height:2.5rem
}

.h-12 {
  height:3rem
}

.h-16 {
  height:4rem
}

.h-20 {
  height:5rem
}

.h-24 {
  height:6rem
}

.h-3 {
  height:.75rem
}

.h-32 {
  height:8rem
}

.h-4 {
  height:1rem
}

.h-48 {
  height:12rem
}

.h-5 {
  height:1.25rem
}

.h-6 {
  height:1.5rem
}

.h-8 {
  height:2rem
}

.h-full {
  height:100%
}

.min-h-screen {
  min-height:100vh
}

.w-10 {
  width:2.5rem
}

.w-12 {
  width:3rem
}

.w-16 {
  width:4rem
}

.w-20 {
  width:5rem
}

.w-24 {
  width:6rem
}

.w-3 {
  width:.75rem
}

.w-32 {
  width:8rem
}

.w-4 {
  width:1rem
}

.w-48 {
  width:12rem
}

.w-5 {
  width:1.25rem
}

.w-6 {
  width:1.5rem
}

.w-8 {
  width:2rem
}

.w-full {
  width:100%
}

.min-w-0 {
  min-width:0px
}

.max-w-2xl {
  max-width:42rem
}

.max-w-3xl {
  max-width:48rem
}

.max-w-4xl {
  max-width:56rem
}

.max-w-5xl {
  max-width:64rem
}

.max-w-none {
  max-width:none
}

.flex-1 {
  flex:1 1 0%
}

.flex-shrink-0 {
  flex-shrink:0
}

.flex-grow {
  flex-grow:1
}

.-translate-x-1\/2 {
  --tw-translate-x: -50%;
  transform:translate(var(--tw-translate-x),var(--tw-translate-y)) rotate(var(--tw-rotate)) skew(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))
}

.-translate-y-1\/2 {
  --tw-translate-y: -50%;
  transform:translate(var(--tw-translate-x),var(--tw-translate-y)) rotate(var(--tw-rotate)) skew(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))
}

.transform {
  transform:translate(var(--tw-translate-x),var(--tw-translate-y)) rotate(var(--tw-rotate)) skew(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))
}

@keyframes pulse {
  50% {
  opacity:.5
}


}

.animate-pulse {
  animation:pulse 2s cubic-bezier(.4,0,.6,1) infinite
}

@keyframes spin {
  to {
  transform:rotate(360deg)
}


}

.animate-spin {
  animation:spin 1s linear infinite
}

.cursor-not-allowed {
  cursor:not-allowed
}

.cursor-pointer {
  cursor:pointer
}

.list-inside {
  list-style-position:inside
}

.list-disc {
  list-style-type:disc
}

.list-none {
  list-style-type:none
}

.appearance-none {
  -webkit-appearance:none;
  -moz-appearance:none;
  appearance:none
}

.grid-cols-1 {
  grid-template-columns:repeat(1,minmax(0,1fr))
}

.grid-cols-2 {
  grid-template-columns:repeat(2,minmax(0,1fr))
}

.flex-col {
  flex-direction:column
}

.flex-wrap {
  flex-wrap:wrap
}

.items-start {
  align-items:flex-start
}

.items-center {
  align-items:center
}

.justify-center {
  justify-content:center
}

.justify-between {
  justify-content:space-between
}

.gap-1 {
  gap:.25rem
}

.gap-2 {
  gap:.5rem
}

.gap-3 {
  gap:.75rem
}

.gap-4 {
  gap:1rem
}

.gap-6 {
  gap:1.5rem
}

.gap-8 {
  gap:2rem
}

.space-y-1>:not([hidden])~:not([hidden]) {
  --tw-space-y-reverse: 0;
  margin-top:calc(.25rem * calc(1 - var(--tw-space-y-reverse)));
  margin-bottom:calc(.25rem * var(--tw-space-y-reverse))
}

.space-y-2>:not([hidden])~:not([hidden]) {
  --tw-space-y-reverse: 0;
  margin-top:calc(.5rem * calc(1 - var(--tw-space-y-reverse)));
  margin-bottom:calc(.5rem * var(--tw-space-y-reverse))
}

.space-y-3>:not([hidden])~:not([hidden]) {
  --tw-space-y-reverse: 0;
  margin-top:calc(.75rem * calc(1 - var(--tw-space-y-reverse)));
  margin-bottom:calc(.75rem * var(--tw-space-y-reverse))
}

.space-y-4>:not([hidden])~:not([hidden]) {
  --tw-space-y-reverse: 0;
  margin-top:calc(1rem * calc(1 - var(--tw-space-y-reverse)));
  margin-bottom:calc(1rem * var(--tw-space-y-reverse))
}

.space-y-6>:not([hidden])~:not([hidden]) {
  --tw-space-y-reverse: 0;
  margin-top:calc(1.5rem * calc(1 - var(--tw-space-y-reverse)));
  margin-bottom:calc(1.5rem * var(--tw-space-y-reverse))
}

.overflow-hidden {
  overflow:hidden
}

.whitespace-pre-line {
  white-space:pre-line
}

.rounded {
  border-radius:.25rem
}

.rounded-2xl {
  border-radius:1rem
}

.rounded-full {
  border-radius:9999px
}

.rounded-lg {
  border-radius:.5rem
}

.rounded-xl {
  border-radius:.75rem
}

.border-2 {
  border-width:2px
}

.border-b {
  border-bottom-width:1px
}

.border-t {
  border-top-width:1px
}

.border-gray-300 {
  --tw-border-opacity: 1;
  border-color:rgb(209 213 219 / var(--tw-border-opacity, 1))
}

.border-gray-800 {
  --tw-border-opacity: 1;
  border-color:rgb(31 41 55 / var(--tw-border-opacity, 1))
}

.border-white\/20 {
  border-color:#fff3
}

.bg-black {
  --tw-bg-opacity: 1;
  background-color:rgb(0 0 0 / var(--tw-bg-opacity, 1))
}

.bg-black\/0 {
  background-color:#0000
}

.bg-blue-100 {
  --tw-bg-opacity: 1;
  background-color:rgb(219 234 254 / var(--tw-bg-opacity, 1))
}

.bg-blue-50 {
  --tw-bg-opacity: 1;
  background-color:rgb(239 246 255 / var(--tw-bg-opacity, 1))
}

.bg-blue-600 {
  --tw-bg-opacity: 1;
  background-color:rgb(37 99 235 / var(--tw-bg-opacity, 1))
}

.bg-gray-100 {
  --tw-bg-opacity: 1;
  background-color:rgb(243 244 246 / var(--tw-bg-opacity, 1))
}

.bg-gray-50 {
  --tw-bg-opacity: 1;
  background-color:rgb(249 250 251 / var(--tw-bg-opacity, 1))
}

.bg-gray-600 {
  --tw-bg-opacity: 1;
  background-color:rgb(75 85 99 / var(--tw-bg-opacity, 1))
}

.bg-gray-800 {
  --tw-bg-opacity: 1;
  background-color:rgb(31 41 55 / var(--tw-bg-opacity, 1))
}

.bg-gray-800\/80 {
  background-color:#1f2937cc
}

.bg-gray-900 {
  --tw-bg-opacity: 1;
  background-color:rgb(17 24 39 / var(--tw-bg-opacity, 1))
}

.bg-green-50 {
  --tw-bg-opacity: 1;
  background-color:rgb(240 253 244 / var(--tw-bg-opacity, 1))
}

.bg-orange-100 {
  --tw-bg-opacity: 1;
  background-color:rgb(255 237 213 / var(--tw-bg-opacity, 1))
}

.bg-orange-50 {
  --tw-bg-opacity: 1;
  background-color:rgb(255 247 237 / var(--tw-bg-opacity, 1))
}

.bg-orange-600 {
  --tw-bg-opacity: 1;
  background-color:rgb(234 88 12 / var(--tw-bg-opacity, 1))
}

.bg-red-100 {
  --tw-bg-opacity: 1;
  background-color:rgb(254 226 226 / var(--tw-bg-opacity, 1))
}

.bg-red-50 {
  --tw-bg-opacity: 1;
  background-color:rgb(254 242 242 / var(--tw-bg-opacity, 1))
}

.bg-red-600 {
  --tw-bg-opacity: 1;
  background-color:rgb(220 38 38 / var(--tw-bg-opacity, 1))
}

.bg-red-700 {
  --tw-bg-opacity: 1;
  background-color:rgb(185 28 28 / var(--tw-bg-opacity, 1))
}

.bg-white {
  --tw-bg-opacity: 1;
  background-color:rgb(255 255 255 / var(--tw-bg-opacity, 1))
}

.bg-white\/30 {
  background-color:#ffffff4d
}

.bg-opacity-50 {
  --tw-bg-opacity: .5
}

.bg-gradient-to-b {
  background-image:linear-gradient(to bottom,var(--tw-gradient-stops))
}

.bg-gradient-to-br {
  background-image:linear-gradient(to bottom right,var(--tw-gradient-stops))
}

.bg-gradient-to-r {
  background-image:linear-gradient(to right,var(--tw-gradient-stops))
}

.bg-gradient-to-t {
  background-image:linear-gradient(to top,var(--tw-gradient-stops))
}

.from-black {
  --tw-gradient-from: #000 var(--tw-gradient-from-position);
  --tw-gradient-to: rgb(0 0 0 / 0) var(--tw-gradient-to-position);
  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to)
}

.from-black\/80 {
  --tw-gradient-from: rgb(0 0 0 / .8) var(--tw-gradient-from-position);
  --tw-gradient-to: rgb(0 0 0 / 0) var(--tw-gradient-to-position);
  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to)
}

.from-blue-50 {
  --tw-gradient-from: #eff6ff var(--tw-gradient-from-position);
  --tw-gradient-to: rgb(239 246 255 / 0) var(--tw-gradient-to-position);
  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to)
}

.from-blue-500 {
  --tw-gradient-from: #3b82f6 var(--tw-gradient-from-position);
  --tw-gradient-to: rgb(59 130 246 / 0) var(--tw-gradient-to-position);
  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to)
}

.from-blue-600 {
  --tw-gradient-from: #2563eb var(--tw-gradient-from-position);
  --tw-gradient-to: rgb(37 99 235 / 0) var(--tw-gradient-to-position);
  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to)
}

.from-gray-50 {
  --tw-gradient-from: #f9fafb var(--tw-gradient-from-position);
  --tw-gradient-to: rgb(249 250 251 / 0) var(--tw-gradient-to-position);
  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to)
}

.from-gray-500 {
  --tw-gradient-from: #6b7280 var(--tw-gradient-from-position);
  --tw-gradient-to: rgb(107 114 128 / 0) var(--tw-gradient-to-position);
  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to)
}

.from-green-50 {
  --tw-gradient-from: #f0fdf4 var(--tw-gradient-from-position);
  --tw-gradient-to: rgb(240 253 244 / 0) var(--tw-gradient-to-position);
  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to)
}

.from-green-600 {
  --tw-gradient-from: #16a34a var(--tw-gradient-from-position);
  --tw-gradient-to: rgb(22 163 74 / 0) var(--tw-gradient-to-position);
  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to)
}

.from-orange-50 {
  --tw-gradient-from: #fff7ed var(--tw-gradient-from-position);
  --tw-gradient-to: rgb(255 247 237 / 0) var(--tw-gradient-to-position);
  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to)
}

.from-orange-500 {
  --tw-gradient-from: #f97316 var(--tw-gradient-from-position);
  --tw-gradient-to: rgb(249 115 22 / 0) var(--tw-gradient-to-position);
  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to)
}

.from-purple-600 {
  --tw-gradient-from: #9333ea var(--tw-gradient-from-position);
  --tw-gradient-to: rgb(147 51 234 / 0) var(--tw-gradient-to-position);
  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to)
}

.from-red-50 {
  --tw-gradient-from: #fef2f2 var(--tw-gradient-from-position);
  --tw-gradient-to: rgb(254 242 242 / 0) var(--tw-gradient-to-position);
  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to)
}

.from-red-500 {
  --tw-gradient-from: #ef4444 var(--tw-gradient-from-position);
  --tw-gradient-to: rgb(239 68 68 / 0) var(--tw-gradient-to-position);
  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to)
}

.from-red-600 {
  --tw-gradient-from: #dc2626 var(--tw-gradient-from-position);
  --tw-gradient-to: rgb(220 38 38 / 0) var(--tw-gradient-to-position);
  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to)
}

.from-white {
  --tw-gradient-from: #fff var(--tw-gradient-from-position);
  --tw-gradient-to: rgb(255 255 255 / 0) var(--tw-gradient-to-position);
  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to)
}

.via-black\/50 {
  --tw-gradient-to: rgb(0 0 0 / 0) var(--tw-gradient-to-position);
  --tw-gradient-stops: var(--tw-gradient-from), rgb(0 0 0 / .5) var(--tw-gradient-via-position), var(--tw-gradient-to)
}

.via-transparent {
  --tw-gradient-to: rgb(0 0 0 / 0) var(--tw-gradient-to-position);
  --tw-gradient-stops: var(--tw-gradient-from), transparent var(--tw-gradient-via-position), var(--tw-gradient-to)
}

.via-white {
  --tw-gradient-to: rgb(255 255 255 / 0) var(--tw-gradient-to-position);
  --tw-gradient-stops: var(--tw-gradient-from), #fff var(--tw-gradient-via-position), var(--tw-gradient-to)
}

.to-blue-100 {
  --tw-gradient-to: #dbeafe var(--tw-gradient-to-position)
}

.to-blue-500 {
  --tw-gradient-to: #3b82f6 var(--tw-gradient-to-position)
}

.to-blue-600 {
  --tw-gradient-to: #2563eb var(--tw-gradient-to-position)
}

.to-gray-100 {
  --tw-gradient-to: #f3f4f6 var(--tw-gradient-to-position)
}

.to-gray-600 {
  --tw-gradient-to: #4b5563 var(--tw-gradient-to-position)
}

.to-green-100 {
  --tw-gradient-to: #dcfce7 var(--tw-gradient-to-position)
}

.to-green-500 {
  --tw-gradient-to: #22c55e var(--tw-gradient-to-position)
}

.to-orange-100 {
  --tw-gradient-to: #ffedd5 var(--tw-gradient-to-position)
}

.to-orange-50 {
  --tw-gradient-to: #fff7ed var(--tw-gradient-to-position)
}

.to-orange-600 {
  --tw-gradient-to: #ea580c var(--tw-gradient-to-position)
}

.to-purple-500 {
  --tw-gradient-to: #a855f7 var(--tw-gradient-to-position)
}

.to-red-100 {
  --tw-gradient-to: #fee2e2 var(--tw-gradient-to-position)
}

.to-red-50 {
  --tw-gradient-to: #fef2f2 var(--tw-gradient-to-position)
}

.to-red-500 {
  --tw-gradient-to: #ef4444 var(--tw-gradient-to-position)
}

.to-red-600 {
  --tw-gradient-to: #dc2626 var(--tw-gradient-to-position)
}

.to-transparent {
  --tw-gradient-to: transparent var(--tw-gradient-to-position)
}

.to-white {
  --tw-gradient-to: #fff var(--tw-gradient-to-position)
}

.bg-clip-text {
  -webkit-background-clip:text;
  background-clip:text
}

.fill-white {
  fill:#fff
}

.object-cover {
  -o-object-fit:cover;
  object-fit:cover
}

.p-2 {
  padding:.5rem
}

.p-4 {
  padding:1rem
}

.p-6 {
  padding:1.5rem
}

.p-8 {
  padding:2rem
}

.px-2 {
  padding-left:.5rem;
  padding-right:.5rem
}

.px-3 {
  padding-left:.75rem;
  padding-right:.75rem
}

.px-4 {
  padding-left:1rem;
  padding-right:1rem
}

.px-6 {
  padding-left:1.5rem;
  padding-right:1.5rem
}

.px-8 {
  padding-left:2rem;
  padding-right:2rem
}

.py-1 {
  padding-top:.25rem;
  padding-bottom:.25rem
}

.py-12 {
  padding-top:3rem;
  padding-bottom:3rem
}

.py-16 {
  padding-top:4rem;
  padding-bottom:4rem
}

.py-2 {
  padding-top:.5rem;
  padding-bottom:.5rem
}

.py-20 {
  padding-top:5rem;
  padding-bottom:5rem
}

.py-3 {
  padding-top:.75rem;
  padding-bottom:.75rem
}

.py-4 {
  padding-top:1rem;
  padding-bottom:1rem
}

.py-8 {
  padding-top:2rem;
  padding-bottom:2rem
}

.pb-16 {
  padding-bottom:4rem
}

.pb-4 {
  padding-bottom:1rem
}

.pb-6 {
  padding-bottom:1.5rem
}

.pt-2 {
  padding-top:.5rem
}

.pt-4 {
  padding-top:1rem
}

.pt-8 {
  padding-top:2rem
}

.text-center {
  text-align:center
}

.text-2xl {
  font-size:1.5rem;
  line-height:2rem
}

.text-3xl {
  font-size:1.875rem;
  line-height:2.25rem
}

.text-4xl {
  font-size:2.25rem;
  line-height:2.5rem
}

.text-9xl {
  font-size:8rem;
  line-height:1
}

.text-lg {
  font-size:1.125rem;
  line-height:1.75rem
}

.text-sm {
  font-size:.875rem;
  line-height:1.25rem
}

.text-xl {
  font-size:1.25rem;
  line-height:1.75rem
}

.text-xs {
  font-size:.75rem;
  line-height:1rem
}

.font-bold {
  font-weight:700
}

.font-medium {
  font-weight:500
}

.font-semibold {
  font-weight:600
}

.leading-relaxed {
  line-height:1.625
}

.leading-tight {
  line-height:1.25
}

.text-blue-600 {
  --tw-text-opacity: 1;
  color:rgb(37 99 235 / var(--tw-text-opacity, 1))
}

.text-gray-200 {
  --tw-text-opacity: 1;
  color:rgb(229 231 235 / var(--tw-text-opacity, 1))
}

.text-gray-300 {
  --tw-text-opacity: 1;
  color:rgb(209 213 219 / var(--tw-text-opacity, 1))
}

.text-gray-400 {
  --tw-text-opacity: 1;
  color:rgb(156 163 175 / var(--tw-text-opacity, 1))
}

.text-gray-500 {
  --tw-text-opacity: 1;
  color:rgb(107 114 128 / var(--tw-text-opacity, 1))
}

.text-gray-600 {
  --tw-text-opacity: 1;
  color:rgb(75 85 99 / var(--tw-text-opacity, 1))
}

.text-gray-700 {
  --tw-text-opacity: 1;
  color:rgb(55 65 81 / var(--tw-text-opacity, 1))
}

.text-gray-800 {
  --tw-text-opacity: 1;
  color:rgb(31 41 55 / var(--tw-text-opacity, 1))
}

.text-green-600 {
  --tw-text-opacity: 1;
  color:rgb(22 163 74 / var(--tw-text-opacity, 1))
}

.text-orange-600 {
  --tw-text-opacity: 1;
  color:rgb(234 88 12 / var(--tw-text-opacity, 1))
}

.text-red-100 {
  --tw-text-opacity: 1;
  color:rgb(254 226 226 / var(--tw-text-opacity, 1))
}

.text-red-600 {
  --tw-text-opacity: 1;
  color:rgb(220 38 38 / var(--tw-text-opacity, 1))
}

.text-transparent {
  color:transparent
}

.text-white {
  --tw-text-opacity: 1;
  color:rgb(255 255 255 / var(--tw-text-opacity, 1))
}

.text-white\/90 {
  color:#ffffffe6
}

.opacity-0 {
  opacity:0
}

.opacity-10 {
  opacity:.1
}

.opacity-70 {
  opacity:.7
}

.opacity-80 {
  opacity:.8
}

.opacity-90 {
  opacity:.9
}

.shadow-lg {
  --tw-shadow: 0 10px 15px -3px rgb(0 0 0 / .1), 0 4px 6px -4px rgb(0 0 0 / .1);
  --tw-shadow-colored: 0 10px 15px -3px var(--tw-shadow-color), 0 4px 6px -4px var(--tw-shadow-color);
  box-shadow:var(--tw-ring-offset-shadow, 0 0 #0000),var(--tw-ring-shadow, 0 0 #0000),var(--tw-shadow)
}

.shadow-md {
  --tw-shadow: 0 4px 6px -1px rgb(0 0 0 / .1), 0 2px 4px -2px rgb(0 0 0 / .1);
  --tw-shadow-colored: 0 4px 6px -1px var(--tw-shadow-color), 0 2px 4px -2px var(--tw-shadow-color);
  box-shadow:var(--tw-ring-offset-shadow, 0 0 #0000),var(--tw-ring-shadow, 0 0 #0000),var(--tw-shadow)
}

.shadow-sm {
  --tw-shadow: 0 1px 2px 0 rgb(0 0 0 / .05);
  --tw-shadow-colored: 0 1px 2px 0 var(--tw-shadow-color);
  box-shadow:var(--tw-ring-offset-shadow, 0 0 #0000),var(--tw-ring-shadow, 0 0 #0000),var(--tw-shadow)
}

.shadow-xl {
  --tw-shadow: 0 20px 25px -5px rgb(0 0 0 / .1), 0 8px 10px -6px rgb(0 0 0 / .1);
  --tw-shadow-colored: 0 20px 25px -5px var(--tw-shadow-color), 0 8px 10px -6px var(--tw-shadow-color);
  box-shadow:var(--tw-ring-offset-shadow, 0 0 #0000),var(--tw-ring-shadow, 0 0 #0000),var(--tw-shadow)
}

.filter {
  filter:var(--tw-blur) var(--tw-brightness) var(--tw-contrast) var(--tw-grayscale) var(--tw-hue-rotate) var(--tw-invert) var(--tw-saturate) var(--tw-sepia) var(--tw-drop-shadow)
}

.backdrop-blur-sm {
  --tw-backdrop-blur: blur(4px);
  -webkit-backdrop-filter:var(--tw-backdrop-blur) var(--tw-backdrop-brightness) var(--tw-backdrop-contrast) var(--tw-backdrop-grayscale) var(--tw-backdrop-hue-rotate) var(--tw-backdrop-invert) var(--tw-backdrop-opacity) var(--tw-backdrop-saturate) var(--tw-backdrop-sepia);
  backdrop-filter:var(--tw-backdrop-blur) var(--tw-backdrop-brightness) var(--tw-backdrop-contrast) var(--tw-backdrop-grayscale) var(--tw-backdrop-hue-rotate) var(--tw-backdrop-invert) var(--tw-backdrop-opacity) var(--tw-backdrop-saturate) var(--tw-backdrop-sepia)
}

.transition-all {
  transition-property:all;
  transition-timing-function:cubic-bezier(.4,0,.2,1);
  transition-duration:.15s
}

.transition-colors {
  transition-property:color,background-color,border-color,text-decoration-color,fill,stroke;
  transition-timing-function:cubic-bezier(.4,0,.2,1);
  transition-duration:.15s
}

.transition-opacity {
  transition-property:opacity;
  transition-timing-function:cubic-bezier(.4,0,.2,1);
  transition-duration:.15s
}

.transition-shadow {
  transition-property:box-shadow;
  transition-timing-function:cubic-bezier(.4,0,.2,1);
  transition-duration:.15s
}

.transition-transform {
  transition-property:transform;
  transition-timing-function:cubic-bezier(.4,0,.2,1);
  transition-duration:.15s
}

.delay-150 {
  transition-delay:.15s
}

.delay-75 {
  transition-delay:75ms
}

.duration-300 {
  transition-duration:.3s
}

.duration-500 {
  transition-duration:.5s
}

.delay-75 {
  animation-delay:75ms
}

.delay-150 {
  animation-delay:.15s
}

input[type=range]::-webkit-slider-thumb {
  -webkit-appearance:none;
  -moz-appearance:none;
  appearance:none;
  width:16px;
  height:16px;
  border-radius:50%;
  background:#f43f5e;
  cursor:pointer
}

input[type=range]::-moz-range-thumb {
  width:16px;
  height:16px;
  border-radius:50%;
  background:#f43f5e;
  cursor:pointer;
  border:none
}

input[type=range]::-webkit-slider-runnable-track {
  -webkit-appearance:none;
  -moz-appearance:none;
  appearance:none;
  height:4px;
  border-radius:2px
}

input[type=range]::-moz-range-track {
  height:4px;
  border-radius:2px
}

.line-clamp-2 {
  display:-webkit-box;
  -webkit-line-clamp:2;
  -webkit-box-orient:vertical;
  overflow:hidden
}

.hover\:scale-105:hover {
  --tw-scale-x: 1.05;
  --tw-scale-y: 1.05;
  transform:translate(var(--tw-translate-x),var(--tw-translate-y)) rotate(var(--tw-rotate)) skew(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))
}

.hover\:scale-110:hover {
  --tw-scale-x: 1.1;
  --tw-scale-y: 1.1;
  transform:translate(var(--tw-translate-x),var(--tw-translate-y)) rotate(var(--tw-rotate)) skew(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))
}

.hover\:border-red-600:hover {
  --tw-border-opacity: 1;
  border-color:rgb(220 38 38 / var(--tw-border-opacity, 1))
}

.hover\:bg-blue-700:hover {
  --tw-bg-opacity: 1;
  background-color:rgb(29 78 216 / var(--tw-bg-opacity, 1))
}

.hover\:bg-gray-100:hover {
  --tw-bg-opacity: 1;
  background-color:rgb(243 244 246 / var(--tw-bg-opacity, 1))
}

.hover\:bg-orange-700:hover {
  --tw-bg-opacity: 1;
  background-color:rgb(194 65 12 / var(--tw-bg-opacity, 1))
}

.hover\:bg-red-100:hover {
  --tw-bg-opacity: 1;
  background-color:rgb(254 226 226 / var(--tw-bg-opacity, 1))
}

.hover\:bg-red-50:hover {
  --tw-bg-opacity: 1;
  background-color:rgb(254 242 242 / var(--tw-bg-opacity, 1))
}

.hover\:bg-red-600:hover {
  --tw-bg-opacity: 1;
  background-color:rgb(220 38 38 / var(--tw-bg-opacity, 1))
}

.hover\:bg-red-700:hover {
  --tw-bg-opacity: 1;
  background-color:rgb(185 28 28 / var(--tw-bg-opacity, 1))
}

.hover\:from-red-50:hover {
  --tw-gradient-from: #fef2f2 var(--tw-gradient-from-position);
  --tw-gradient-to: rgb(254 242 242 / 0) var(--tw-gradient-to-position);
  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to)
}

.hover\:to-orange-50:hover {
  --tw-gradient-to: #fff7ed var(--tw-gradient-to-position)
}

.hover\:text-red-600:hover {
  --tw-text-opacity: 1;
  color:rgb(220 38 38 / var(--tw-text-opacity, 1))
}

.hover\:underline:hover {
  text-decoration-line:underline
}

.hover\:shadow-2xl:hover {
  --tw-shadow: 0 25px 50px -12px rgb(0 0 0 / .25);
  --tw-shadow-colored: 0 25px 50px -12px var(--tw-shadow-color);
  box-shadow:var(--tw-ring-offset-shadow, 0 0 #0000),var(--tw-ring-shadow, 0 0 #0000),var(--tw-shadow)
}

.hover\:shadow-xl:hover {
  --tw-shadow: 0 20px 25px -5px rgb(0 0 0 / .1), 0 8px 10px -6px rgb(0 0 0 / .1);
  --tw-shadow-colored: 0 20px 25px -5px var(--tw-shadow-color), 0 8px 10px -6px var(--tw-shadow-color);
  box-shadow:var(--tw-ring-offset-shadow, 0 0 #0000),var(--tw-ring-shadow, 0 0 #0000),var(--tw-shadow)
}

.group[open] .group-open\:rotate-180 {
  --tw-rotate: 180deg;
  transform:translate(var(--tw-translate-x),var(--tw-translate-y)) rotate(var(--tw-rotate)) skew(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))
}

.group:hover .group-hover\:scale-110 {
  --tw-scale-x: 1.1;
  --tw-scale-y: 1.1;
  transform:translate(var(--tw-translate-x),var(--tw-translate-y)) rotate(var(--tw-rotate)) skew(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))
}

.group:hover .group-hover\:bg-black\/20 {
  background-color:#0003
}

.group:hover .group-hover\:text-red-600 {
  --tw-text-opacity: 1;
  color:rgb(220 38 38 / var(--tw-text-opacity, 1))
}

.group:hover .group-hover\:opacity-100 {
  opacity:1
}

.group:hover .group-hover\:opacity-90 {
  opacity:.9
}

@media (min-width: 640px) {
  .sm\:grid-cols-2 {
  grid-template-columns:repeat(2,minmax(0,1fr))
}

.sm\:flex-row {
  flex-direction:row
}

.sm\:items-center {
  align-items:center
}


}

@media (min-width: 768px) {
  .md\:flex {
  display:flex
}

.md\:hidden {
  display:none
}

.md\:w-auto {
  width:auto
}

.md\:grid-cols-2 {
  grid-template-columns:repeat(2,minmax(0,1fr))
}

.md\:grid-cols-3 {
  grid-template-columns:repeat(3,minmax(0,1fr))
}

.md\:grid-cols-4 {
  grid-template-columns:repeat(4,minmax(0,1fr))
}

.md\:p-8 {
  padding:2rem
}

.md\:py-32 {
  padding-top:8rem;
  padding-bottom:8rem
}

.md\:text-2xl {
  font-size:1.5rem;
  line-height:2rem
}

.md\:text-3xl {
  font-size:1.875rem;
  line-height:2.25rem
}

.md\:text-4xl {
  font-size:2.25rem;
  line-height:2.5rem
}

.md\:text-5xl {
  font-size:3rem;
  line-height:1
}

.md\:text-6xl {
  font-size:3.75rem;
  line-height:1
}


}

@media (min-width: 1024px) {
  .lg\:col-span-1 {
  grid-column:span 1 / span 1
}

.lg\:col-span-2 {
  grid-column:span 2 / span 2
}

.lg\:grid-cols-3 {
  grid-template-columns:repeat(3,minmax(0,1fr))
}

.lg\:grid-cols-4 {
  grid-template-columns:repeat(4,minmax(0,1fr))
}


}

@media (min-width: 1280px) {
  .xl\:grid-cols-4 {
  grid-template-columns:repeat(4,minmax(0,1fr))
}


}


